function pagenation(pageInfo) {
	$("#page").html("");
	//pageInfo = result.pageData;
	pages = pageInfo;
	var arr = new Array();
	// arr.push(" <div id='page' align='center'>");
	arr.push("");
	var currentpage = pageInfo._APP_P_NO;
	var totalpage = pageInfo._APP_P_COUNT;
	var totalrecord = pageInfo._APP_RESULT_COUNT;
	var perrecord = pageInfo._APP_P_ROW_SIZE;

	if (currentpage > 1) {
		//sb.AppendFormat(@"<a href=""javascript:window.external.PageNav('{0}');""><span>首页</span></a>", "1");
		//arr.push("<a href='#' p=" + currentpage - 1 + "><span class='lastselect'>上一页</span></a>");
		arr.push("<a href='#' p=" + (currentpage - 1) + " ><span class='lastselect'>上一页</span></a>");
	}
	else {
		//sb.Append(@"<a href=""javascript:void(0)""><span class=""unuse"">首页</span></a>");
		arr.push("<a href='#' p=1  ><span class='lastnormal'>上一页</span></a>");
	}

	var startpage = 1;
	var endpage = totalpage;
	if (totalpage > 10) {
		if (currentpage - 5 > 1) {
			startpage = currentpage - 5;
			if (currentpage + 5 < totalpage) {
				endpage = currentpage + 5;
			}
			else {
				endpage = totalpage;
			}
		}
		else {
			endpage = currentpage + 5;
		}
	}

	for (var i = startpage; i <= endpage; i++) {
		if (i == currentpage) {
			arr.push("<a href='#' p=" + i + "><span class='current'>" + i + "</span></a>");
		}
		else {
			arr.push("<a href='#' p=" + i + "><span>" + i + "</span></a>");
		}
	}

	if (currentpage == totalpage) {
	    arr.push("<a href='#' p =" + currentpage + "><span class='nextnormal'>下一页</span></a>");
		// sb.Append(@"<a href=""javascript:void(0)""><span class=""unuse"">尾页</span></a>");
	}
	else {
		arr.push("<a href='#' p=" + (currentpage + 1) + "><span class='nextselect'>下一页</span></a>");
		//   sb.AppendFormat(@"<a href=""javascript:window.external.PageNav('{0}');""><span>尾页</span></a>", totalpage);
	}

	//  sb.AppendFormat(@" 第{0}/{1}页 {2}/页 共{3}条", currentpage, totalpage, perrecord, totalrecord);
	//  arr.push("</div> ");
	$(arr.join("")).appendTo($("#page"));
}